Bug 812886 - apply_errata - how to obtain errata type (enhancement)
apply_errata - how to obtain errata type (enhancement)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
550
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Martin Minar
:
Depends On:
Blocks: sat550-lowbug
  Show dependency treegraph
 
Reported: 2012-04-16 09:33 EDT by Dimitar Yordanov
Modified: 2016-07-03 20:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-utils-1.7.15-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:32:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2012-04-16 09:33:08 EDT
Description of problem:

  The type of an Erratum is determined by searching for RHBA, RHEA or RHSA in the "advisory_name" and never check the "advisory_type" where is more likely the type of the errata to be set (at least I do so when creating an erratum via API)

I am proposing the following enhancement:

      if e_epoch < d_epoch:


         EI[e['id']] = e['advisory_synopsis']
         EN[e['id']] = e['advisory_name']

         pattern = re.compile(opt['search'], re.I)
         result = pattern.search(e['advisory_synopsis'])

         if result is not None:
            if type['b'] and ( e['advisory_name'].find("RHBA") == 0 or e['advisory_type'].find("Bug Fix Advisory") == 0 ):
               erratum.append(e['id'])

            if type['e'] and ( e['advisory_name'].find("RHEA") == 0 or e['advisory_type'].find("Enhancement Advisory") == 0 ):
               erratum.append(e['id'])

            if type['s'] and ( e['advisory_name'].find("RHSA") == 0 or e['advisory_type'].find("Security Advisory") == 0 ) :
               erratum.append(e['id'])


Version-Release number of selected component (if applicable):
spacewalk-utils-1.7.15-1

How reproducible:
100%

Steps to Reproduce:
1. Check the source of the script.
  
Actual results:
The script obtains the Errata type according "advisory_name".

Expected results:
The script obtains the Errata type according "advisory_type" or "advisory_name".

Additional info:
Comment 1 Miroslav Suchý 2012-04-23 11:41:43 EDT
Commited to spacewalk.git as 7f8783c90db938d9bb1c051b01c8604b8a1e8bab
Comment 6 Jan Pazdziora 2012-08-17 08:25:30 EDT
Fixed in Spacewalk master, e57ad267088be70e383804fc1b45517dd48f3b53.
Comment 10 Clifford Perry 2012-09-21 05:32:50 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.